Bug 856161 - Review Request: python-openstack-nose-plugin - openstack run_tests.py style output for nosetests
Review Request: python-openstack-nose-plugin - openstack run_tests.py style o...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 856182 856513
  Show dependency treegraph
 
Reported: 2012-09-11 06:58 EDT by Matthias Runge
Modified: 2012-09-23 01:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-23 01:08:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
p: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-09-11 06:58:47 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-openstack-nose-plugin.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-openstack-nose-plugin-0.11-1.fc17.src.rpm
Description: 
openstack.nose_plugin provides a nose plugin that allow's nosetests output to
mimic the output of openstack's run_tests.py.

Fedora Account System Username: mrunge

[mrunge@turing SPECS]$ rpmlint ./python-openstack-nose-plugin.spec ../SRPMS/python-openstack-nose-plugin-0.11-1.fc17.src.rpm ../RPMS/noarch/python-openstack-nose-plugin-0.11-1.fc17.noarch.rpm 
python-openstack-nose-plugin.src: W: spelling-error Summary(en_US) py -> pt, p, y
python-openstack-nose-plugin.src: W: spelling-error Summary(en_US) nosetests -> nose tests, nose-tests, Northwests
python-openstack-nose-plugin.src: W: summary-not-capitalized C openstack run_tests.py style output for nosetests
python-openstack-nose-plugin.src: W: spelling-error %description -l en_US allow's -> allows, tallow's, mallow's
python-openstack-nose-plugin.src: W: spelling-error %description -l en_US nosetests -> nose tests, nose-tests, Northwests
python-openstack-nose-plugin.src: W: spelling-error %description -l en_US py -> pt, p, y
python-openstack-nose-plugin.noarch: W: spelling-error Summary(en_US) py -> pt, p, y
python-openstack-nose-plugin.noarch: W: spelling-error Summary(en_US) nosetests -> nose tests, nose-tests, Northwests
python-openstack-nose-plugin.noarch: W: summary-not-capitalized C openstack run_tests.py style output for nosetests
python-openstack-nose-plugin.noarch: W: spelling-error %description -l en_US allow's -> allows, tallow's, mallow's
python-openstack-nose-plugin.noarch: W: spelling-error %description -l en_US nosetests -> nose tests, nose-tests, Northwests
python-openstack-nose-plugin.noarch: W: spelling-error %description -l en_US py -> pt, p, y
2 packages and 1 specfiles checked; 0 errors, 12 warnings.

koji scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=4474051
Comment 1 Pádraig Brady 2012-09-13 09:48:50 EDT
This requires python-termcolor which I can't find
Should it be requiring python-xtermcolor?
Comment 2 Matthias Runge 2012-09-13 10:59:26 EDT
oops, forgot to mark the corresponding review request, here it is:
https://bugzilla.redhat.com/show_bug.cgi?id=856513
Comment 3 Pádraig Brady 2012-09-13 11:25:22 EDT
It's strange that it needs both colorama and termcolor, since they do the same thing. Colorama has more substance to it as it's cross platform. termcolor is just a few lines of python mapping color names to escape sequences.
Comment 4 Pádraig Brady 2012-09-13 11:41:34 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)" For detailed output of licensecheck see file:
     /home/padraig/856161-python-openstack-nose-plugin/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
     Note: Installation errors (see attachment)
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (openstack.nose_plugin-0.11.tar.gz)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Rpmlint
-------
Checking: python-openstack-nose-plugin-0.11-1.fc15.noarch.rpm
          python-openstack-nose-plugin-0.11-1.fc15.src.rpm
python-openstack-nose-plugin.noarch: W: spelling-error Summary(en_US) py -> pt, p, y
python-openstack-nose-plugin.noarch: W: spelling-error Summary(en_US) nosetests -> nose tests, nose-tests, Northwests
python-openstack-nose-plugin.noarch: W: summary-not-capitalized C openstack run_tests.py style output for nosetests
python-openstack-nose-plugin.noarch: W: spelling-error %description -l en_US allow's -> allows, tallow's, mallow's
python-openstack-nose-plugin.noarch: W: spelling-error %description -l en_US nosetests -> nose tests, nose-tests, Northwests
python-openstack-nose-plugin.noarch: W: spelling-error %description -l en_US py -> pt, p, y
python-openstack-nose-plugin.src: W: spelling-error Summary(en_US) py -> pt, p, y
python-openstack-nose-plugin.src: W: spelling-error Summary(en_US) nosetests -> nose tests, nose-tests, Northwests
python-openstack-nose-plugin.src: W: summary-not-capitalized C openstack run_tests.py style output for nosetests
python-openstack-nose-plugin.src: W: spelling-error %description -l en_US allow's -> allows, tallow's, mallow's
python-openstack-nose-plugin.src: W: spelling-error %description -l en_US nosetests -> nose tests, nose-tests, Northwests
python-openstack-nose-plugin.src: W: spelling-error %description -l en_US py -> pt, p, y
2 packages and 0 specfiles checked; 0 errors, 12 warnings.


Requires
--------
python-openstack-nose-plugin-0.11-1.fc15.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7
    python-colorama  
    python-nose  
    python-termcolor  

Provides
--------
python-openstack-nose-plugin-0.11-1.fc15.noarch.rpm:
    
    python-openstack-nose-plugin = 0.11-1.fc15

MD5-sum check
-------------
http://pypi.python.org/packages/source/o/openstack.nose_plugin/openstack.nose_plugin-0.11.tar.gz :
  CHECKSUM(SHA256) this package     : a28d44dc23de8164d7893da7020404c73c4325b46d5507911f0257c15f613b4f
  CHECKSUM(SHA256) upstream package : a28d44dc23de8164d7893da7020404c73c4325b46d5507911f0257c15f613b4f


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 856161 --user P@draigBrady.com
External plugins:

Package APPROVED
Comment 5 Matthias Runge 2012-09-13 14:54:10 EDT
Thank you for the review!

New Package SCM Request
=======================
Package Name: python-openstack-nose-plugin
Short Description: openstack run_tests.py style output for nosetests
Owners: mrunge
Branches: f18
Comment 6 Jon Ciesla 2012-09-13 15:15:08 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-09-14 04:09:12 EDT
python-openstack-nose-plugin-0.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-openstack-nose-plugin-0.11-1.fc18
Comment 8 Fedora Update System 2012-09-16 13:09:45 EDT
python-openstack-nose-plugin-0.11-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2012-09-23 01:08:29 EDT
python-openstack-nose-plugin-0.11-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.